## sahara 10.0.0

=== debian/changelog ===
sahara (1:10.0.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 12 Apr 2019 11:33:29 +0000

sahara (1:10.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:35:00 +0100

sahara (1:10.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 10.x series.
  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 10:39:48 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/sahara sahara-(10\.\d.*)\.tar\.gz

## sahara 11.0.0

=== debian/changelog ===
sahara (1:11.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 22:32:33 +0200

sahara (1:11.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 19:17:50 +0200

sahara (1:11.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2019 09:37:28 +0200

sahara (1:10.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 19:48:25 +0200

sahara (1:10.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 02 May 2019 19:06:21 +0200

sahara (1:10.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 10:58:37 +0200

sahara (1:10.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Add 2 missing new (build-)dependencies.
  * Do not use python3- prefix when calling config generators.
  * Removed fix-format-ssh-key-to-pem.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Mar 2019 11:15:28 +0100

sahara (1:9.0.0-2) unstable; urgency=medium

  [ Michal Arbet ]
  * Add fix-format-ssh-key-to-pem.patch
  * Enable failing tests

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 25 Sep 2018 14:52:43 +0200

=== debian/control ===
Source: sahara
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 openssh-client,
 python3-babel,
 python3-bashate,
 python3-botocore,
 python3-castellan,
 python3-cinderclient,
 python3-coverage,
 python3-doc8,
 python3-eventlet,
 python3-fixtures,
 python3-flask,
 python3-glanceclient,
 python3-hacking,
 python3-heatclient,
 python3-iso8601,
 python3-jinja2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-manilaclient,
 python3-microversion-parse,
 python3-migrate,
 python3-mock,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-paramiko,
 python3-pep8,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-saharaclient,
 python3-six,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-webob,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/sahara
Vcs-Git: https://salsa.debian.org/openstack-team/services/sahara.git
Homepage: https://github.com/openstack/sahara

Package: python3-sahara
Architecture: all
Section: python
Depends:
 alembic,
 e2fsprogs,
 python3-babel,
 python3-botocore,
 python3-castellan,
 python3-cinderclient,
 python3-eventlet,
 python3-flask,
 python3-glanceclient,
 python3-heatclient,
 python3-iso8601,
 python3-jinja2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-manilaclient,
 python3-microversion-parse,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-paramiko,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-tooz,
 python3-webob,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: OpenStack data processing cluster as a service - library
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the Python libraries.

Package: sahara
Architecture: all
Section: python
Depends:
 sahara-api (= ${source:Version}),
 sahara-engine (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - API & Engine
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This metapackage depends on the API server and the engine daemon.

Package: sahara-api
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 sahara-common (= ${source:Version}),
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - API server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the API server.

Package: sahara-common
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-sahara (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Breaks:
 sahara (<< 2015.1.0-3~),
Replaces:
 sahara (<< 2015.1.0-3~),
Description: OpenStack data processing cluster as a service - common files
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the common files.

Package: sahara-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack data processing cluster as a service - doc
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the documentation.

Package: sahara-engine
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 sahara-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - Engine server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the engine daemon.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_clean:
	rm -rf build 	debian/sahara-common.postinst \
			debian/sahara-common.config \
			debian/sahara-api.postinst \
			debian/sahara-api.config
	rm -rf doc/build
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean -O--buildsystem=python_distutils

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm sahara-common.postrm
	pkgos-merge-templates sahara-api sahara endpoint
	pkgos-merge-templates sahara-common sahara db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Blacklisted. See https://storyboard.openstack.org/#!/story/2003674
	pkgos-dh_auto_test --no-py2
endif

	# Install the config files.
	mkdir -p $(CURDIR)/debian/sahara-common/usr/share/sahara-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--wrap-width 140 \
		--namespace sahara.config \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--output-file $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf keystone_authtoken sahara

	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf database connection sqlite:///var/lib/sahara/saharadb
	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf oslo_concurrency lock_path /var/lock/sahara
	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf keystone_authtoken auth_protocol http

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/sahara-common/usr/share/sahara-common/policy.json \
		--format json \
		--namespace sahara

	mkdir -p $(CURDIR)/debian/sahara-common/etc/sahara
	cp etc/sahara/compute.topology.sample $(CURDIR)/debian/sahara-common/etc/sahara/compute.topology
	cp etc/sahara/swift.topology.sample $(CURDIR)/debian/sahara-common/etc/sahara/swift.topology
	set -e ; for i in api-paste.ini rootwrap.conf rootwrap.d ; do \
		cp -rfv etc/sahara/$$i $(CURDIR)/debian/sahara-common/etc/sahara ; \
	done

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/sahara-doc/usr/share/doc/sahara-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## sahara 12.0.0~b3~git2020041014.0825bdde

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
botocore>=1.5.1 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
Flask>=1.0.2 # BSD
iso8601>=0.1.11 # MIT
Jinja2>=2.10 # BSD License (3 clause)
jsonschema>=2.6.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
requests>=2.14.2 # Apache-2.0
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-manilaclient>=1.16.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
tooz>=1.58.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
os-api-ref>=1.6.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
whereto>=0.3.0 # Apache-2.0

=== debian/changelog ===
sahara (1:12.0.0~b3~git2020041014.0825bdde-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/sahara-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:13:17 -0400

sahara (1:12.0.0~b3~git2020032616.0825bdde-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/sahara-common.postinst.in: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 16:50:12 +0000

sahara (1:12.0.0~b2~git2020020610.75df1e93-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 06 Feb 2020 11:28:08 +0100

sahara (1:12.0.0~b1~git2019121815.bb2f1f58-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop py2 BDs.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Dec 2019 15:09:09 -0500

sahara (1:11.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:23:48 +0100

sahara (1:11.0.0~rc1-0ubuntu3) eoan; urgency=medium

  * d/t/control: Add curl to Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 02 Oct 2019 08:08:15 +0100

sahara (1:11.0.0~rc1-0ubuntu2) eoan; urgency=medium

  * d/t/control: Add allow-stderr to Restrictions.

 -- James Page <james.page@ubuntu.com>  Tue, 01 Oct 2019 19:58:15 +0100

sahara (1:11.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/p/add-mysql8-compatibility.patch: Ensure test setup is compatible
    with MySQL 8.
  * d/t/watcher-daemons: Avoid usage of IDENTIFIED BY on GRANT, enabling
    compatibility with MySQL 8.
  * d/sahara-api.conf: Align site config with other OpenStack packages.
    This also fixes the current autopkgtest failure where sahara API can't
    access /etc/sahara/sahara.conf.
  * d/watch: Scope to 11.x series.
  * New upstream release candidate for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 08:54:04 -0400

sahara (1:11.0.0~b2~git2019073018.2287d92f-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:58:19 +0200

sahara (1:11.0.0~b1~git2019061816.8c941ed1-0ubuntu1) eoan; urgency=medium

  * New upstream release 11.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Fix binary name to generate confile files.
  * d/rules: Fix binary name to generate policy sample.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 25 Jun 2019 09:40:20 +0100

=== debian/control ===
Source: sahara
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 apache2-dev,
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bandit,
 git,
 openssh-client,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-bashate (>= 0.5.1),
 python3-botocore (>= 1.5.1),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 1.0.2),
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-manilaclient (>= 1.16.0),
 python3-microversion-parse (>= 0.2.1),
 python3-migrate (>= 0.9.6),
 python3-mock (>= 2.0.0),
 python3-mysqldb,
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-api-ref (>= 1.6.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paramiko (>= 2.0.0),
 python3-pep8,
 python3-psycopg2 (>= 2.7.3),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-saharaclient (>= 1.4.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara
Homepage: https://github.com/openstack/sahara
Testsuite: autopkgtest-pkg-python

Package: python3-sahara
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 e2fsprogs,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-botocore (>= 1.5.1),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet (>= 0.18.2),
 python3-flask (>= 1.0.2),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-manilaclient (>= 1.16.0),
 python3-microversion-parse (>= 0.2.1),
 python3-mysqldb,
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackclient (>= 3.3.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-paramiko (>= 2.0.0),
 python3-pastescript,
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.7.3),
 python3-pymysql,
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: OpenStack data processing cluster as a service - 3.x library
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the Python 3.x libraries.

Package: sahara
Architecture: all
Section: python
Depends:
 sahara-api (= ${source:Version}),
 sahara-engine (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack data processing cluster as a service - API & Engine
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This metapackage depends on the API server and the engine daemon.

Package: sahara-api
Architecture: all
Section: python
Depends:
 adduser,
 apache2 | httpd,
 dbconfig-common,
 libapache2-mod-wsgi-py3,
 q-text-as-data,
 sahara-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack data processing cluster as a service - API server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the API server.

Package: sahara-common
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-sahara (= ${source:Version}),
 ${misc:Depends},
Breaks:
 sahara (<< 2015.1.0-3~),
Replaces:
 sahara (<< 2015.1.0-3~),
Description: OpenStack data processing cluster as a service - common files
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the common files.

Package: sahara-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack data processing cluster as a service - doc
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the documentation.

Package: sahara-engine
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 sahara-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack data processing cluster as a service - Engine server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the engine daemon.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/sahara sahara-(11\.\d.*)\.tar\.gz

## sahara 12.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 alembic>=0.8.10 # MIT
-Babel!=2.4.0,>=2.3.4 # BSD
 botocore>=1.5.1 # Apache-2.0
 castellan>=0.16.0 # Apache-2.0
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT

=== debian/changelog ===
sahara (1:12.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 12.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/p/use-flask-builtin-method-for-test-context.patch: Cherry-picked
    from upstream stable/ussuri (https://review.opendev.org/#/c/728566/)
    to fix unit test failures with Python 3.8 (LP: #1878978).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 May 2020 15:45:40 -0400

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
  python3-mysqldb,
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
- python3-openstackdocstheme (>= 1.20.0),
+ python3-openstackdocstheme (>= 1.31.2),
  python3-os-api-ref (>= 1.6.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=sahara
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
@@ -7,7 +9,7 @@
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
+	dh $@ --with apache2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
 	rm -rf build 	debian/sahara-common.postinst \
@@ -16,10 +18,7 @@
 			debian/sahara-api.config
 	rm -rf doc/build
 	rm -f debian/*.init debian/*.service debian/*.upstart
-	dh_clean -O--buildsystem=python_distutils
-
-override_dh_auto_clean:
-	python3 setup.py clean
+	dh_clean
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-api.config
@@ -34,20 +33,17 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	for i in $(PYTHON3S) ; do \
-		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
-	done
+	pkgos-dh_auto_install --no-py2
 
-	rm -rf $(CURDIR)/debian/tmp/usr/etc
+	rm -rf $(CURDIR)/debian/python3-sahara/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	# Blacklisted. See https://storyboard.openstack.org/#!/story/2003674
 	pkgos-dh_auto_test --no-py2
 endif
 
 	# Install the config files.
 	mkdir -p $(CURDIR)/debian/sahara-common/usr/share/sahara-common
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-sahara/usr/lib/python3/dist-packages oslo-config-generator \
 		--wrap-width 140 \
 		--namespace sahara.config \
 		--namespace keystonemiddleware.auth_token \
@@ -67,8 +63,9 @@
 	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf database connection sqlite:///var/lib/sahara/saharadb
 	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf oslo_concurrency lock_path /var/lock/sahara
 	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf keystone_authtoken auth_protocol http
+	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf keystone_authtoken password password
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-sahara/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/sahara-common/usr/share/sahara-common/policy.json \
 		--format json \
 		--namespace sahara
@@ -86,13 +83,13 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/sahara-doc/usr/share/doc/sahara-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 endif
 
 override_dh_installman:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
-	dh_installman -O--buildsystem=python_distutils
+	dh_installman
 endif
 
 override_dh_python3:

=== debian/tests/control ===
Tests: sahara-daemons
Depends: sahara, sahara-api, sahara-common,
 sahara-engine, crudini, mysql-server, curl
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/sahara sahara-(12\.\d.*)\.tar\.gz

## sahara 13.0.0~b1~git2020070716.b69670af

=== debian/changelog ===
sahara (1:13.0.0~b1~git2020070716.b69670af-0ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Move all python specific package dependencies to
      python3-sahara binary packge.
    - d/control, d/rules: Switch to debhelper compat 12 and pybuild.
    - d/control, d/sahara-api.*: Drop uwsgi in favor of apache2+mod_wsgi.
    - d/gbp.conf: Add gbp and pristine-tar config.
    - d/p/use-flask-builtin-method-for-test-context.patch: Cherry-picked
      from upstream stable/ussuri (https://review.opendev.org/#/c/728566/)
      to fix unit test failures with Python 3.8 (LP: #1878978).
    - d/p/add-mysql8-compatibility.patch: Ensure test setup is compatible
      with MySQL 8.
    - d/sahara-common.install, d/python3-sahara.install: Dropped. Not needed.
    - d/rules: Run all unit tests.
    - d/rules: Set keystone_authtoken password in sahara.conf.
    - d/rules: Use debian/python3-sahara instead of debian/tmp.
    - d/sahara-common.postinst.in: Refactor to standardise /etc, /var/lib and
      /var/log ownership and permissions (LP: #1859422).
    - d/sahara-common.postinst.in, d/sahara-common.postrm.in: Drop install/rm
      of policy.json in /etc/sahara as default policies have been moved into
      code.
    - d/tests/*, d/control: Add autopkgtests.
    - d/watch: Get tarball from tarballs.opendev.org.
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/use-flask-builtin-method-for-test-context.patch: Dropped. Fixed
    upstream.
  * d/control: Update Standards-Version to 4.5.0.
  * d/rules: Limit unit test execution to install step.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jul 2020 16:30:37 -0400

sahara (1:12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 19:20:16 +0200

sahara (1:12.0.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 12.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/p/use-flask-builtin-method-for-test-context.patch: Cherry-picked
    from upstream stable/ussuri (https://review.opendev.org/#/c/728566/)
    to fix unit test failures with Python 3.8 (LP: #1878978).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 May 2020 15:45:40 -0400

sahara (1:12.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 13:49:21 +0200

sahara (1:12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove Fix_syntax_error_in_image_widths.patch.
  * Blacklist utils.test_api.APIUtilsTest.test_render_pagination().

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 16:45:24 +0200

sahara (1:11.0.0-4) unstable; urgency=medium

  * Add Fix_syntax_error_in_image_widths.patch (Closes: #955088).

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Apr 2020 12:40:41 +0200

sahara (1:11.0.0-3) unstable; urgency=medium

  * Blacklist 3 unit tests which are failing, and have been reported upstream
    at: https://storyboard.openstack.org/#!/story/2007450. (Closes: #954583).

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Mar 2020 16:37:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  apache2-dev,
  debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 85ubuntu3~),
+ openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-pbr (>= 2.0.0),
@@ -37,7 +37,7 @@
  python3-heatclient (>= 1.10.0),
  python3-iso8601 (>= 0.1.11),
  python3-jinja2 (>= 2.10),
- python3-jsonschema (>= 2.6.0),
+ python3-jsonschema (>= 3.2.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
@@ -86,10 +86,10 @@
  python3-webob (>= 1:1.7.1),
  subunit,
  testrepository,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara
-Homepage: https://github.com/openstack/sahara
+Homepage: https://opendev.org/openstack/sahara
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-sahara
@@ -109,7 +109,7 @@
  python3-heatclient (>= 1.10.0),
  python3-iso8601 (>= 0.1.11),
  python3-jinja2 (>= 2.10),
- python3-jsonschema (>= 2.6.0),
+ python3-jsonschema (>= 3.2.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
@@ -150,12 +150,12 @@
  ${python3:Depends},
 Recommends:
  python3-ldap,
-Description: OpenStack data processing cluster as a service - 3.x library
- The Sahara project provides a simple means to provision a data-intensive
- application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
- Savanna project, renamed due to potential trademark issues.
- .
- This package contains the Python 3.x libraries.
+Description: OpenStack data processing cluster as a service - library
+ The Sahara project provides a simple means to provision a data-intensive
+ application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
+ Savanna project, renamed due to potential trademark issues.
+ .
+ This package contains the Python libraries.
 
 Package: sahara
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
-	dh $@ --with apache2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild --with apache2,python3,sphinxdoc
 
 override_dh_clean:
 	rm -rf build 	debian/sahara-common.postinst \
@@ -19,6 +19,12 @@
 	rm -rf doc/build
 	rm -f debian/*.init debian/*.service debian/*.upstart
 	dh_clean
+
+override_dh_auto_clean:
+	python3 setup.py clean
+
+override_dh_auto_test:
+	echo "Do nothing..."
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-api.config
@@ -34,7 +40,6 @@
 
 override_dh_install:
 	pkgos-dh_auto_install --no-py2
-
 	rm -rf $(CURDIR)/debian/python3-sahara/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/sahara sahara-(13\.\d.*)\.tar\.gz
